AutoDiscoveryResultsForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.platform.autodiscovery.AutoDiscoveryResultsForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.platform.autodiscovery
Class AutoDiscoveryResultsForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.RemoveResourceForm
                                  org.hyperic.hq.ui.action.resource.platform.autodiscovery.AutoDiscoveryResultsForm

All Implemented Interfaces:
  java.io.Serializable

    public class AutoDiscoveryResultsForm

extends RemoveResourceForm

Form represents the auto-discovery results form

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.resource.RemoveResourceForm
`resourceType, resourceTypes`

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`AutoDiscoveryResultsForm()`

Method Summary
`void` | `buildActionOptions(javax.servlet.http.HttpServletRequest request)` build the ai action options
`static java.util.List` | `buildAINewModifiedCommandOptions(javax.servlet.http.HttpServletRequest request)` build new/modified commands for AI resource
`static java.util.List` | `buildAIRemovedActionOptions(javax.servlet.http.HttpServletRequest request)` build remove actions for AI resource
`static java.util.List` | `buildAIUnchangedCommandOptions(javax.servlet.http.HttpServletRequest request)` build unchanged commands for AI resource
`java.lang.Integer` | `getAiAction()`
`java.lang.Integer` | `getAiPid()`
`java.lang.Integer` | `getAiRid()`
`java.lang.Integer` | `getIpsStatusFilter()`
`java.util.List` | `getNewModifiedActionOptions()`
`java.util.List` | `getRemovedActionOptions()`
`java.lang.Integer` | `getServerTypeFilter()`
`java.util.List` | `getServerTypeFilterList()`
`java.lang.Integer` | `getServerTypeFilterListCount()` This method returns 0 if there are not server types set.
`java.lang.Integer` | `getStdStatusFilter()`
`java.util.List` | `getUnchangedActionOptions()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAiAction(java.lang.Integer integer)`
`void` | `setAiPid(java.lang.Integer integer)`
`void` | `setAiRid(java.lang.Integer aiRid)` Sets the aiRid.
`void` | `setIpsStatusFilter(java.lang.Integer ignoreIps)` Sets the ignoreIps.
`void` | `setServerTypeFilter(java.lang.Integer filterStd)` Sets the filterStd.
`void` | `setServerTypeFilterList(AppdefResourceTypeValue[] serverTypes)`
`void` | `setStdStatusFilter(java.lang.Integer ignoreStd)` Sets the ignoreStd.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.RemoveResourceForm
`getF, getPss, getR, getResources, getResourceType, getResourceTypes, setF, setPss, setR, setResources, setResourceType, setResourceTypes`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getDescription, getEid, getLocation, getName, getRid, getType, isCanModify, loadResourceValue, setAetid, setCanModify, setDescription, setEid, setLocation, setName, setRid, setType, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoDiscoveryResultsForm

    public AutoDiscoveryResultsForm()

Method Detail

### getServerTypeFilter

    public java.lang.Integer getServerTypeFilter()

  Returns:
    Integer

### getStdStatusFilter

    public java.lang.Integer getStdStatusFilter()

  Returns:
    Integer

### setServerTypeFilter

    public void setServerTypeFilter(java.lang.Integer filterStd)

  Sets the filterStd.

  Parameters:
    `filterStd` - The filterStd to set

### setStdStatusFilter

    public void setStdStatusFilter(java.lang.Integer ignoreStd)

  Sets the ignoreStd.

  Parameters:
    `ignoreStd` - The ignoreStd to set

### getIpsStatusFilter

    public java.lang.Integer getIpsStatusFilter()

  Returns:
    Integer

### setIpsStatusFilter

    public void setIpsStatusFilter(java.lang.Integer ignoreIps)

  Sets the ignoreIps.

  Parameters:
    `ignoreIps` - The ignoreIps to set

### getAiRid

    public java.lang.Integer getAiRid()

  Returns:
    Integer id of the ai resource

### setAiRid

    public void setAiRid(java.lang.Integer aiRid)

  Sets the aiRid.

  Parameters:
    `aiRid` - The aiRid to set

### getAiAction

    public java.lang.Integer getAiAction()

  Returns:

### setAiAction

    public void setAiAction(java.lang.Integer integer)

  Parameters:
    `integer` -

### getNewModifiedActionOptions

    public java.util.List getNewModifiedActionOptions()

  Returns:

### getRemovedActionOptions

    public java.util.List getRemovedActionOptions()

  Returns:

### getUnchangedActionOptions

    public java.util.List getUnchangedActionOptions()

  Returns:

### buildActionOptions

    public void buildActionOptions(javax.servlet.http.HttpServletRequest request)

  build the ai action options

### buildAIRemovedActionOptions

    public static java.util.List buildAIRemovedActionOptions(javax.servlet.http.HttpServletRequest request)

  build remove actions for AI resource

  Returns:
    a list

### buildAIUnchangedCommandOptions

    public static java.util.List buildAIUnchangedCommandOptions(javax.servlet.http.HttpServletRequest request)

  build unchanged commands for AI resource

  Returns:
    a list

### buildAINewModifiedCommandOptions

    public static java.util.List buildAINewModifiedCommandOptions(javax.servlet.http.HttpServletRequest request)

  build new/modified commands for AI resource

  Returns:
    a list

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `RemoveResourceForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RemoveResourceForm`

### getAiPid

    public java.lang.Integer getAiPid()

  Returns:

### setAiPid

    public void setAiPid(java.lang.Integer integer)

  Parameters:
    `integer` -

### getServerTypeFilterList

    public java.util.List getServerTypeFilterList()

  Returns:

### getServerTypeFilterListCount

    public java.lang.Integer getServerTypeFilterListCount()

  This method returns 0 if there are not server types set. No server types are set when a newly auto-discovered platform has not been imported into the appdef.

  Returns:
    number of serverTypes

### setServerTypeFilterList

    public void setServerTypeFilterList(AppdefResourceTypeValue[] serverTypes)

  Parameters:
    `list` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.